<?xml version="1.0" encoding="UTF-8"?>
<manifest>
  <default upstream="kirkstone"/>

  <!-- Yocto -->
  <remote name="yocto"
          fetch="git://git.yoctoproject.org"/>
  <project name="poky"
           remote="yocto"
           revision="refs/tags/yocto-4.0.24"
           upstream="kirkstone"
           path="sources/poky"/>
  <project name="meta-mingw"
           remote="yocto"
           revision="refs/tags/yocto-4.0.24"
           upstream="kirkstone"
           path="sources/meta-mingw"/>

  <!-- OpenEmbedded -->
  <remote name="oe"
          fetch="git://git.openembedded.org"/>
  <project name="meta-openembedded"
           remote="oe"
           revision="de8681b4a2a101b99dd2c48d89a7de2ccd9a961f"
           upstream="kirkstone"
           path="sources/meta-openembedded"/>

  <!-- Clang -->
  <remote name="kraj"
          fetch="https://github.com/kraj"/>
  <project name="meta-clang"
           remote="kraj"
           revision="fabeeadc6a1cbf1a81fbdb7dc9fa4022c7e5e851"
           upstream="kirkstone"
           path="sources/meta-clang"/>

  <!-- Boot to Qt -->
  <remote name="qt"
          fetch="git://code.qt.io/yocto"
          pushurl="ssh://codereview.qt-project.org/yocto"/>
  <remote name="gerrit"
          fetch="ssh://codereview.qt-project.org/yocto"/>
  <project name="meta-boot2qt"
           remote="qt"
           revision="kirkstone"
           upstream="kirkstone"
           path="sources/meta-boot2qt">
    <linkfile dest="setup-environment.sh" src="scripts/setup-environment.sh"/>
  </project>

  <!-- Boot to Qt vendor layer -->
  <project name="meta-boot2qt-renesas"
           remote="qt"
           revision="dev"
           upstream="dev"
           path="sources/meta-boot2qt-renesas">
    <linkfile dest="sources/templates" src="conf"/>
  </project>

  <!-- Qt -->
  <project name="meta-qt6"
           remote="qt"
           revision="6.8.3"
           upstream="6.8.3"
           path="sources/meta-qt6"/>

  <!-- Device specific layers -->
  <remote name="renesas"
          fetch="https://github.com/renesas-rcar"/>
  <project name="meta-renesas"
           remote="renesas"
           revision="7f12dca9a7fd1797bea67c1fb8d3a9c74c4a49d8"
           upstream="kirkstone-dev"
           path="sources/meta-renesas"/>

  <!-- internal layer for the proprietary device drivers -->
  <remote name="playground"
          fetch="ssh://git@git.qt.io/boot2qt"/>
  <project name="renesas-rcar3"
           remote="playground"
           revision="758a863a7916271f0d411c5f2c3d56f42f1ea053"
           upstream="v5.9.0"
           path="sources/renesas-rcar3"
           groups="notdefault"/>
</manifest>
